質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.49%

  • Python

    8541questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • CentOS

    2760questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • TensorFlow

    708questions

tensorflow (v0.8) を使う~ centOS6.7 で glibc をv2.15以上に更新~

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,896

ahill

score 10

CentOS6.7でpythonのtensorflowのモジュールを使いたいと考えております.

現状では,pythonでimport tensorflow とすると,
ImporError: /lib64/libc.so.6: version 'GLIBC_2.15' not found (required by ((prefix_python))/site_packages/tensorflow/python/_pywrap_tensorflow.so)
といったエラーがでます.

ここで,glibcを更新したいのですが,以前に別の方がほかで質問していたように,
(glibcバージョンアップ:http://oshiete.goo.ne.jp/qa/3873137.html?from=recommend)
新しくインストールしたglibcをLD_LIBRARY_PATH に設定する方法があるようですが,
できればこういった強引な方法以外でできればと思っております.
(デフォルトのglibcに依存する実行ファイルが使えなくなるので.)

そこで,

  1. CentOS6.7のままでtensorflowをつかう方法
  2. centOS6.7のglibcをv2.15以上に更新
    のどちらかのやりかたをご存知のかたがいらっしゃれば,お教えいただけないでしょうか.

よろしくお願いいたします.

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

おそらく、選択肢は「Linuxごと仮想環境を構築する」もしくは「LD_LIBRARY_PATHで上書き」の2択だと思います。

Tensorflow自体のIssueも確認しましたが、より古いglibcに対応するつもりはない、とのことで、再コンパイルだけでも動かなさそうです。また、Cent OSのglibcを(パッチレベルでなく)アップデート、なんていうのははっきり言って危険極まりないです。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/05/03 17:21

    Tensorflow自体の参照もいただきありがとうございます.
    いただいた2つの選択肢を試して,できそうな方でやってみたいと思います.
    ありがとうございました.

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.49%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Python

    8541questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • CentOS

    2760questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • TensorFlow

    708questions